Page MenuHomePhabricator

Create beta bnwiki
Closed, ResolvedPublic

Description

Bangla will be one of the early release wikis for the Growth team. Also, the language has some uncommon features.

Event Timeline

Tgr created this task.Dec 15 2020, 9:57 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 15 2020, 9:57 AM

Change 649596 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[operations/mediawiki-config@master] [beta] Set up beta bnwiki

https://gerrit.wikimedia.org/r/649596

Change 649597 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/services/restbase/deploy@master] Add bnwiki to beta env

https://gerrit.wikimedia.org/r/649597

Change 649596 merged by jenkins-bot:
[operations/mediawiki-config@master] [beta] Set up beta bnwiki

https://gerrit.wikimedia.org/r/649596

Mentioned in SAL (#wikimedia-releng) [2020-12-15T12:25:46Z] <Urbanecm> Create beta bnwiki (T270165)

I took the liberty to create the wiki :).

Urbanecm triaged this task as Low priority.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptDec 15 2020, 12:32 PM

Change 649597 merged by Ppchelko:
[mediawiki/services/restbase/deploy@master] Add bnwiki to beta env

https://gerrit.wikimedia.org/r/649597

Tgr added a comment.Dec 15 2020, 10:46 PM

(Note the wiki does not have Growth features enabled ATM.)

(Note the wiki does not have Growth features enabled ATM.)

Will they be enabled soon?

Tgr added a comment.Dec 16 2020, 2:27 AM

Will they be enabled soon?

I wasn't planning to (it would get it along with production bnwiki of course) but we can enable it tomorrow if you think there's value in doing it sooner.

I personally think it's useful to enable them prior to production, so we
(especially Ankan) can actually test the features work correctly, since
it's a new pilot wiki.

Urbanecm_WMF closed this task as Resolved.Dec 17 2020, 12:10 AM

This one is done.

This one is done.

@Urbanecm_WMF - The task is closed without enabling Growth features?

This one is done.

@Urbanecm_WMF - The task is closed without enabling Growth features?

IMO, the objective of this task is to create beta bnwiki -- that was done. Deploying Growth features to beta bnwiki should be probably done as part of T266020: Deploy Growth experiments at Bangla Wikipedia, or its subtask.

@Etonkovidova They were enabled few minutes ago anyway :).

@Etonkovidova They were enabled few minutes ago anyway :).

Thanks! Listing here what's missing in bnwiki wmflabs

  • SE
  • not able to create a page in 0 namespace (an article) - "Error contacting the Parsoid/RESTBase server (HTTP 404)". Checked other betalabs wiki - the error is not present there (enwiki betalabs, cswiki betalabs).

My understanding was that bnwiki betalabs will be a full-functioning wiki for a community ambassador to test it which is not the case now.

@Etonkovidova They were enabled few minutes ago anyway :).

Thanks! Listing here what's missing in bnwiki wmflabs

  • SE
  • not able to create a page in 0 namespace (an article) - "Error contacting the Parsoid/RESTBase server (HTTP 404)". Checked other betalabs wiki - the error is not present there (enwiki betalabs, cswiki betalabs).

Good point, that's now fixed.

My understanding was that bnwiki betalabs will be a full-functioning wiki for a community ambassador to test it which is not the case now.

Creating a wiki is quite a complex procedure, and restbase is done after the wiki is created by the team that manages restbase. So yes, it should be a fully functional wiki :-).

Tgr reopened this task as Open.Dec 17 2020, 8:50 PM

RESTBase errors should only happen when you create articles with VE (and only until the next RESTBase deployment).

Restbase was deployed few minutes ago, @Tgr.

Tgr closed this task as Resolved.Dec 17 2020, 10:24 PM

Not sure how I ended up reopening this, I was only trying to comment.

Checked - it seems that Help module is missing.

SE module works correctly.

Tgr added a comment.Dec 19 2020, 12:42 AM

Hm, I do see a help module. How are you viewing it? (Desktop or mobile? C or D?)

Hm, I do see a help module. How are you viewing it? (Desktop or mobile? C or D?)

Yes, I see it now too.